proc temp_from_vp_4He {{pressure 0.0}} {
	set He_V_P(0:l) 1.392408
	set He_V_P(1:l) 0.527153
	set He_V_P(2:l) 0.166756
	set He_V_P(3:l) 0.050988
	set He_V_P(4:l) 0.026514
	set He_V_P(5:l) 0.001975
	set He_V_P(6:l) -0.017976
	set He_V_P(7:l) 0.005409
	set He_V_P(8:l) 0.013259
	set He_V_P(9:l) 0.0
	set He_V_P(B:l) 5.6
	set He_V_P(C:l) 2.9

	set He_V_P(0:h) 3.146631
	set He_V_P(1:h) 1.357655
	set He_V_P(2:h) 0.413923
	set He_V_P(3:h) 0.091159
	set He_V_P(4:h) 0.016349
	set He_V_P(5:h) 0.001826
	set He_V_P(6:h) -0.004325
	set He_V_P(7:h) -0.004973
	set He_V_P(8:h) 0.0
	set He_V_P(9:h) 0.0
	set He_V_P(B:h) 10.3
	set He_V_P(C:h) 1.9

	set temperature $He_V_P(0:l)

	for {set i 1} {$i <= 9} {incr i} {
		set temperature [expr $temperature + $He_V_P($i:l)*pow((log($pressure)-$He_V_P(B:l))/$He_V_P(C:l),$i)]
	}

	if {$temperature > 2.1768} {
		set temperature $He_V_P(0:h)

		for {set i 1} {$i <= 9} {incr i} {
			set temperature [expr $temperature + $He_V_P($i:h)*pow((log($pressure)-$He_V_P(B:h))/$He_V_P(C:h),$i)]
		}
	}
	return $temperature
}
