#!/usr/bin/tclsh

load [info library]/libtclmod.so
source ~eminus/subs/arsubs.tcl

set U_Halt_Threshold 0

proc U_Halt_Negativ {} {
	dac set 1 0V
	dout clear 2
}

proc U_Halt_Start {} {
	global U_Halt_Threshold
	dac set 1 $U_Halt_Threshold[]V
	dout set 2 8
}

proc Pulse_Stop {} {
	status write [Exp_Config_Dir]/params/fil_puls.s0 "stop 0V 0ms 0s"
}

proc Pulse_Start {{Pulse_Amplitude "1.4V"} {Pulse_Duration "40ms"}} {
	status write [Exp_Config_Dir]/params/fil_puls.s0 "puls $Pulse_Amplitude $Pulse_Duration 3s"
}

set U_Halt_List "10.0"

#Pulse_Stop
#U_Halt_Negativ
#sleep 100

foreach U_Halt $U_Halt_List {
	puts "starting"
	Pulse_Stop
	U_Halt_Start
	sleep 60
	dout set 5
	puts "sweeping -> $U_Halt V"
	
	Pulse_Start 0.5V 20ms
	
	dac sweep 1 [expr $U_Halt_Threshold+$U_Halt]V 600
	sleep 600
	puts "Sweep ready, waiting ...."
	sleep 120
	puts "Pulsstop"
	Pulse_Stop
	sleep 120
	puts "Removing Electrons"
	U_Halt_Negativ
}
